
SELinux - Bug #9804

Initial relabeling of puppet fails on RHEL7

03/18/2015 04:52 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On RHEL7 during installation we see those messages in the syslog:

Mar 13 10:11:05 fseven puppet-master[20121]: /etc/selinux/targeted/contexts/files/file_contexts:  

invalid context system_u:obje

ct_r:puppet_etc_t:s0

Mar 13 10:11:05 fseven puppet-master[20121]: /etc/selinux/targeted/contexts/files/file_contexts:  

invalid context system_u:obje

ct_r:puppet_var_lib_t:s0

Mar 13 10:11:05 fseven puppet-master[20121]: /etc/selinux/targeted/contexts/files/file_contexts:  

invalid context system_u:obje

ct_r:puppet_var_lib_t:s0

 I am not sure why they happen. Looks like this is harmless.

History

#1 - 12/15/2016 11:36 PM - Jason Nance

I am getting this as well on EL 7.3 in TFM 1.13.2 / Katello 3.2.1.

#2 - 05/27/2020 08:23 AM - Lukas Zapletal

- Status changed from New to Rejected

I am doing a cleanup of old SELinux bug reports. We are removing puppetmaster policy based on passenger_t, most of these bugs were related to

that.
